using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Text.RegularExpressions; // K\

namespace KeyPlayer
{
    public partial class KeyPlayer : Form
    {
        /// <summary>
        /// RXgN^
        /// </summary>
        public KeyPlayer()
        {
            InitializeComponent();
            labelFileName.Text = "";
            refreshTitle(); // this.TextXV
        }

        #region oϐAANZT\bh
        private string appVersion = "1.01"; // o[W
        private string appName = "KeyPlayer"; // AvP[V
        private string fileName = ""; // ǂݍłt@C
        public string FileName
        {
            get
            {
                return this.fileName;
            }
            set
            {
                this.fileName = value;
                this.refreshTitle();
            }
        }
        #endregion

        #region Cxg
        /// <summary>
        /// hbOă}EX
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void panelDD_DragEnter(object sender, DragEventArgs e)
        {
            if (e.Data.GetDataPresent(DataFormats.FileDrop))
                e.Effect = DragDropEffects.All;
            else
                e.Effect = DragDropEffects.None;
        }

        /// <summary>
        /// hbOăACehbv
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void panelDD_DragDrop(object sender, DragEventArgs e)
        {
            string[] items = (string[])e.Data.GetData(DataFormats.FileDrop, false);
            this.fileOpen(items[0]); // 1ڂ̃t@C
        }

        /// <summary>
        /// L[{[hꂽ
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void KeyPlayer_KeyDown(object sender, KeyEventArgs e)
        {
            int sec = 0; // ߂ori߂b
            switch(e.KeyCode){ // ꂽL[
                /*
                case Keys.S:
                    Console.WriteLine(axWMP.playState.ToString());
                    break;
                 */
                case Keys.Oemcomma: // J}
                    Console.WriteLine("<");
                    sec = -5; // 5b߂
                    break;
                case Keys.OemPeriod: // sIh
                    Console.WriteLine(">");
                    sec = 5; // 5bi߂
                    break;
                case Keys.B:
                    sec = -2;
                    break;
                case Keys.N:
                    sec = 2;
                    break;
                case Keys.Space: // Xy[XL[
                    if (axWMP.playState.ToString() == "wmppsPlaying") // Đ
                    {
                        axWMP.Ctlcontrols.pause(); // ꎞ~
                    }
                    else if (axWMP.playState.ToString() == "wmppsPaused"
                        || axWMP.playState.ToString() == "wmppsStopped") // ~ꎞ~
                    {
                        axWMP.Ctlcontrols.play(); // Đ
                    }
                    break;
            }
            axWMP.Ctlcontrols.currentPosition += sec; // i߂or߂
            
        }
        #endregion

        #region ֐
        /// <summary>
        /// t@CJ
        /// </summary>
        /// <param name="path">t@C̃pX</param>
        public void fileOpen(string path)
        {
            axWMP.URL = path;
            labelFileName.Text = path;
            string[] str = path.Split(new char[] { '\\' });
            FileName = str[str.Length - 1]; // t@C
        }

        /// <summary>
        /// ^Cgo[ this.TextXV
        /// </summary>
        private void refreshTitle()
        {
            this.Text = "";
            if (FileName != "") this.Text = FileName + " - ";
            this.Text += appName + " ver." + appVersion;
        }
        #endregion
    }
}